# Generated by Django 3.1.4 on 2020-12-28 17:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import registration.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('participation', '0001_initial'),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Registration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('give_contact_to_animath', models.BooleanField(default=False, verbose_name='Grant Animath to contact me in the future about other actions')),
                ('email_confirmed', models.BooleanField(default=False, verbose_name='email confirmed')),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_registration.registration_set+', to='contenttypes.contenttype')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'registration',
                'verbose_name_plural': 'registrations',
            },
        ),
        migrations.CreateModel(
            name='AdminRegistration',
            fields=[
                ('registration_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='registration.registration')),
                ('role', models.TextField(verbose_name='role of the administrator')),
            ],
            options={
                'verbose_name': 'admin registration',
                'verbose_name_plural': 'admin registrations',
            },
            bases=('registration.registration',),
        ),
        migrations.CreateModel(
            name='ParticipantRegistration',
            fields=[
                ('registration_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='registration.registration')),
                ('photo_authorization', models.FileField(blank=True, default='', upload_to=registration.models.get_random_photo_filename, verbose_name='photo authorization')),
                ('health_sheet', models.FileField(blank=True, default='', upload_to=registration.models.get_random_health_filename, verbose_name='health sheet')),
                ('team', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='participants', to='participation.team', verbose_name='team')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('registration.registration',),
        ),
        migrations.CreateModel(
            name='VolunteerRegistration',
            fields=[
                ('registration_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='registration.registration')),
                ('professional_activity', models.TextField(verbose_name='professional activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('registration.registration',),
        ),
        migrations.CreateModel(
            name='CoachRegistration',
            fields=[
                ('participantregistration_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='registration.participantregistration')),
                ('professional_activity', models.TextField(verbose_name='professional activity')),
            ],
            options={
                'verbose_name': 'coach registration',
                'verbose_name_plural': 'coach registrations',
            },
            bases=('registration.participantregistration',),
        ),
        migrations.CreateModel(
            name='StudentRegistration',
            fields=[
                ('participantregistration_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='registration.participantregistration')),
                ('student_class', models.IntegerField(choices=[(12, '12th grade'), (11, '11th grade'), (10, '10th grade or lower')], verbose_name='student class')),
                ('school', models.CharField(max_length=255, verbose_name='school')),
                ('parental_authorization', models.FileField(blank=True, default='', upload_to=registration.models.get_random_parental_filename, verbose_name='parental authorization')),
            ],
            options={
                'verbose_name': 'student registration',
                'verbose_name_plural': 'student registrations',
            },
            bases=('registration.participantregistration',),
        ),
    ]
